libopenmpt 0.5.0-pre.5+r11801 cross-platform C++ and C library to decode tracked music files

Classes | Namespaces | Enumerations | Functions | Variables
libopenmpt.hpp File Reference
`#include "libopenmpt_config.h"`
`#include <exception>`
`#include <iosfwd>`
`#include <iostream>`
`#include <map>`
`#include <string>`
`#include <vector>`
`#include <cstdint>`

Go to the source code of this file.

## Classes
class | openmpt::exception
| libopenmpt exception base class More...
class | openmpt::module

## Namespaces
| openmpt
| openmpt::string

## Enumerations
enum | openmpt::probe_file_header_result { openmpt::probe_file_header_result_success = 1, openmpt::probe_file_header_result_failure = 0, openmpt::probe_file_header_result_wantmoredata = -1 }
| Possible return values for openmpt::probe_file_header(). More...

## Functions
LIBOPENMPT_CXX_API std::uint32_t | openmpt::get_library_version ()
| Get the libopenmpt version number. More...
LIBOPENMPT_CXX_API std::uint32_t | openmpt::get_core_version ()
| Get the core version number. More...
LIBOPENMPT_CXX_API std::string | openmpt::string::get (const std::string &key)
| Get library related metadata. More...
LIBOPENMPT_CXX_API std::vector< std::string > | openmpt::get_supported_extensions ()
| Get a list of supported file extensions. More...
LIBOPENMPT_CXX_API bool | openmpt::is_extension_supported (const std::string &extension)
| Query whether a file extension is supported. More...
LIBOPENMPT_CXX_API double | openmpt::could_open_probability (std::istream &stream, double effort=1.0, std::ostream &log=std::clog)
| Roughly scan the input stream to find out whether libopenmpt might be able to open it. More...
LIBOPENMPT_ATTR_DEPRECATED LIBOPENMPT_CXX_API double | openmpt::could_open_propability (std::istream &stream, double effort=1.0, std::ostream &log=std::clog)
| Roughly scan the input stream to find out whether libopenmpt might be able to open it. More...
LIBOPENMPT_CXX_API std::size_t | openmpt::probe_file_header_get_recommended_size ()
| Get recommended header size for successfull format probing. More...
LIBOPENMPT_CXX_API int | openmpt::probe_file_header (std::uint64_t flags, const std::uint8_t *data, std::size_t size, std::uint64_t filesize)
| Probe the provided bytes from the beginning of a file for supported file format headers to find out whether libopenmpt might be able to open it. More...
LIBOPENMPT_CXX_API int | openmpt::probe_file_header (std::uint64_t flags, const std::uint8_t *data, std::size_t size)
| Probe the provided bytes from the beginning of a file for supported file format headers to find out whether libopenmpt might be able to open it. More...
LIBOPENMPT_CXX_API int | openmpt::probe_file_header (std::uint64_t flags, std::istream &stream)
| Probe the provided bytes from the beginning of a file for supported file format headers to find out whether libopenmpt might be able to open it. More...

## Variables
static const char library_version | openmpt::string::LIBOPENMPT_ATTR_DEPRECATED [] = "library_version"
| Return a verbose library version string from openmpt::string::get(). More...
static const std::uint64_t | openmpt::probe_file_header_flags_modules = 0x1ul
| Probe for module formats in openmpt::probe_file_header(). More...
static const std::uint64_t | openmpt::probe_file_header_flags_containers = 0x2ul
| Probe for module-specific container formats in openmpt::probe_file_header(). More...
static const std::uint64_t | openmpt::probe_file_header_flags_default = probe_file_header_flags_modules | probe_file_header_flags_containers
| Probe for the default set of formats in openmpt::probe_file_header(). More...
static const std::uint64_t | openmpt::probe_file_header_flags_none = 0x0ul
| Probe for no formats in openmpt::probe_file_header(). More...